Loading...
Searching...
No Matches
hwcontext_dxva2.h File Reference

An API-specific header for AV_HWDEVICE_TYPE_DXVA2. More...

`#include <d3d9.h>`
`#include <dxva2api.h>`

Go to the source code of this file.

## Data Structures

struct | AVDXVA2DeviceContext
| This struct is allocated as AVHWDeviceContext.hwctx. More...
struct | AVDXVA2FramesContext
| This struct is allocated as AVHWFramesContext.hwctx. More...

## Detailed Description

An API-specific header for AV_HWDEVICE_TYPE_DXVA2.

Only fixed-size pools are supported.

For user-allocated pools, AVHWFramesContext.pool must return AVBufferRefs with the data pointer set to a pointer to IDirect3DSurface9.

Definition in file hwcontext_dxva2.h.